.mainBanner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    height: calc(100dvh - 96px);
    max-height: 2160px;
    width: 98%;
    max-width: 1440px;
}

.headlineDiv {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.mainBanner h2 {
    margin: 0px;
    color: white;
    font-size: clamp(12px, 0px + 5vw, 45px);
    font-family: 'FiraCode', sans-serif;
}

.mainBanner h1 {
    margin: 0px;
    color: white;
    font-size: clamp(16px, -8px + 5vw + 5vh, 128px);
    font-family: 'Karla', sans-serif;
}

.buttonAria {
    display: flex;
    justify-content: center;
    align-self: center;
    width: 363px;
    gap: 10px;
    z-index: 2;
}

.buttonAria a {
    font-size: 18px;
    border: 1px solid white;
    border-radius: 25px;
    background-color: transparent;
    color: white;
    cursor: pointer;
}

.buttonAria p {
    margin: 0px;
}

.check_My_Work {
    position: relative;
    padding: 23px 21.7px;
    overflow-x: hidden;
    min-width: 172px;
    box-sizing: border-box;
}

.check_My_Work p {
    position: absolute;
    top: 11px;
    font-family: 'Karla', sans-serif;
    min-width: 180px;
}

.check_My_Work:hover {
    color: rgba(61, 207, 182, 1);
    border-color: rgba(61, 207, 182, 1);
}

.check_My_Work:hover p {
    animation: circleFirst 1s linear forwards, circleLoop 2s linear infinite 1s;
}

@keyframes circleFirst {

    0% {
        left: 24px;
    }


    100% {
        opacity: 0.8;
        left: -180px;
    }
}

@keyframes circleLoop {

    0% {
        opacity: 0;
        left: -180px;
    }

    10% {
        opacity: 0;
        left: 170px;
    }

    30% {
        opacity: 1;
        left: 170px;
    }

    100% {
        opacity: 1;
        left: -180px;
    }

}

.Contact_ME {
    position: relative;
    padding: 13px 24.5px;
    overflow-x: hidden;
}

.Contact_ME {
    min-width: 173px;
    box-sizing: border-box;
}

.Contact_ME p {
    position: absolute;
    top: 11px;
    width: 90%;
    font-family: 'Karla', sans-serif;
}

.Contact_ME:hover {
    color: rgba(61, 207, 182, 1);
    border-color: rgba(61, 207, 182, 1);
}

.Contact_ME:hover p {
    animation: contactFirst 1s linear forwards, contactLoop 2s linear infinite 1s;
}

@keyframes contactFirst {

    0% {
        left: 20px;
    }


    100% {
        opacity: 0.8;
        left: -180px;
    }
}

@keyframes contactLoop {

    0% {
        opacity: 0;
        left: -180px;
    }

    10% {
        opacity: 0;
        width: 100%;
        left: 195px;
    }

    30% {
        opacity: 1;
        width: 100%;
        left: 195px;
    }

    100% {
        opacity: 1;
        left: -180px;
    }

}

.sliderWrapper {
    display: flex;
    position: absolute;
    max-width: calc(100vw - 60px);
    overflow-x:hidden;
    width: 100vw;
    bottom: 45px;
    /* left: -200%; */
    z-index: 10;
    transform: rotateZ(-3deg);
    /* perspective: 1000px; */
    /* transform-style: preserve-3d; */
    backdrop-filter: blur(3px);
}

.githubLogo:hover {
    content: url(../img/github_white.svg);
}
@media(hover:hover) {
    .githubLogo:hover ~ .githubDot{
        display:block;
        position:absolute;
        left:32.8px;
    }
}

.githubATag{
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.linkedIn {
    position: relative;
    background: none;
    border: none;
    cursor: pointer;
    /* pointer-events:all; */
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width:27px;
    height: 27px;
}

.linkedInIcon {
    width: 27px;
    height: 27px;
}



.linkedIn:active{
    transform:scale(0.95);
}

/* .linkedIn:hover .easterEggDiv {
    display: grid;
    color: black;

} */


.slider {
    display: flex;
    height: 62px;
    flex-shrink: 0;
    position: relative;
    max-width: calc(100vw - 0px);
    min-width:max-content;
    gap: 25px;
    opacity: 1;
    z-index: 3;
    background-color: rgba(255, 255, 255, 0.3);
    transform: translateZ(0);
    animation-fill-mode: both;
}

.slider p {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    font-size: 32px;
    color: rgba(61, 207, 182, 1);
    gap: 25px;
    min-width: 370px;
    font-family: 'Karla', sans-serif;
}

.slider:first-child {
    animation: slideToLeft 45s infinite linear 1s;
    will-change: transform;
}

.slider:last-child {
    animation: slideFromRight 45s infinite linear 1s;
    will-change: transform;
}



@keyframes slideToLeft {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-100%);
    }
}

@keyframes slideFromRight {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-100%);
    }
}



.verticalDiv {
    display: flex;
    justify-content: space-between;
    position: absolute;
    /* height: 480px; */
    height: 614px;
    max-width: 1440px;
    width: 100%;
    bottom: 0px;
    padding: 0px 96px 0px 96px;
    box-sizing: border-box;
    z-index: 1;

}

.vleft {
    display: flex;
    flex-direction: column;
    justify-content: end;
    /* height: 312px; */
    height:442px;
    width: 32px;
    gap: 2.4px;
    margin-top: 168px;
    z-index: 2;
}

.firstFrame {
    width: 30px;
    height: 48px;
    border: 1px solid rgba(61, 207, 182, 1);
    border-radius: 32px;
    position: relative;
}

.vleft hr {
    --var: 100vh;
    height: calc(var(--var) * 20 / 100);
    border-width: 1px;
    width: 1px;
    margin: 0 auto;
}



.githubATag {
    position: relative;
}

.vright {
    display: flex;
    flex-direction: column-reverse;
    justify-content: end;
    align-items: center;
    /* height: 480px; */
    height: 610px;
    width: 32px;
    gap: 8px;
    z-index: 2;
}

.vright img {
    justify-content: center;
}

.githubATag {
    display: flex;
}

.vright hr {
    height: 195px;
    border-width: 1px;
    margin: 0 auto;
    width: 0px;
}

.vright a:nth-child(5) {
    position: relative;
    text-orientation: sideways;
    writing-mode: sideways-lr;
    color: white;
    cursor: pointer;
    text-decoration: none;
    font-size: 18px;
    font-weight: 400;
    font-family: 'Karla', sans-serif;
}

.vright a:nth-child(5):hover {
    color: rgba(61, 207, 182, 1);
}
    

.easterEggDiv {
    position: absolute;
    padding: 15px 5px;
    gap:0px;
    top: -105px;
    right: 28px;
    width: 225px;
    height: 115px;
    padding: 7px;
    color:white;
    background-color: rgb(32, 49, 46);
    border-top-right-radius: 25px;
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 25px;
    border-top-left-radius: 25px;
    border: 1px solid green;
    display: none;
    font-family: 'Karla', sans-serif;
    font-size: 16px;
    justify-content: center;
    text-orientation: upright;
    writing-mode: horizontal-tb;
    font-size: 16px;
    text-align: center;
    cursor:default;
}

.linkedInDot{
    display:none;
}

.githubDot{
    display:none;
}


.easterEggVisible{
    display:grid;
    align-items: center;
    }

.eastereggLink{
    display:flex;
    color:black;
    padding: 5px 25px;
    background-color: rgba(61, 207, 182, 1);
    border-radius: 30px;
    font-size: 16px;
    font-family: 'Karla', sans-serif;
    text-decoration: none;
    justify-self: center;
    cursor:pointer;
}
.eastereggLink:hover{
    /* color: rgb(251, 232, 70); */
    outline:3px solid rgb(250, 232, 75);
}

.mailMobile {
    display: none;
}
